var mobile = false;
var asideNav = $("#aside-nav");
var navBar = $(".ombutelPBX .navbar");
var contentArea = $("#modules-content-area");
var navSearch = $("#nav-search");
var navBackDrop = $("#aside-backdrop");
var toggleSettings = $(".toggle-settings");
var openAside = $("#openAside");

$(function () {
	$.shake({
		violence: 3.0,
		debounce: 1000,
		callback: toggleAside
	});

	$("#aside-navigation").find("a").click(function (e) {
		e.preventDefault();
		$(this).tab('show');
	});

	$("ul.children-menu li").find("a").click(function(e) {
		e.preventDefault();
		var checkElement = $(this).next();
		if ($(this).parent('li').parent('ul').hasClass('sub-menu')) {
			//We are on third level we don't need collapse anything
			return true;
		}

		$("ul.children-menu li").removeClass('active');
		$("ul.children-menu li a").removeClass('sub-menu-indicator-minus');
		$(this).closest('li').addClass('active');
		$(this).addClass('sub-menu-indicator-minus');
		if ((checkElement.is('ul')) && (checkElement.is(':visible'))) {
			$(this).closest('li').removeClass('active');
			$(this).removeClass('sub-menu-indicator-minus');
			checkElement.slideUp('normal');
		}

		if ((checkElement.is('ul')) && (!checkElement.is(':visible'))) {
			$('ul.children-menu ul:visible').slideUp('normal');
			checkElement.slideDown('normal');
		}

		if (checkElement.is('ul')) {
			return false;
		} else {
			return true;
		}
	});

	var scrollSettings = {
		wheelSpeed: 2,
		wheelPropagation: true,
		minScrollbarLength: 20
	};

	$("#module-menu-items").perfectScrollbar(scrollSettings);

	$("#aside-main-menu").perfectScrollbar(scrollSettings);

	$(".modal-open .modal").perfectScrollbar(scrollSettings);

	$("#search-open").click(function() {
		navSearch.fadeIn().show();
		navSearch.find('#ombutel-search').focus();
	});

	$("#close-search").click(function() {
		hideMainSearch();
	});

	navBackDrop.click(function () {
		toggleAside();
	});

	toggleSettings.click(function(){
		var asideMenu = $("#aside-main-menu");
		var quickMenu = $("#user-quick-menu");
		$(this).toggleClass('showing-settings');
		if($(this).hasClass('showing-settings')){
			$(this).find('i').removeClass('fa-caret-down').addClass('fa-caret-up');
			asideMenu.slideUp().hide();
			quickMenu.slideDown().show();
		}else{
			$(this).find('i').removeClass('fa-caret-up').addClass('fa-caret-down');
			quickMenu.slideUp().hide();
			asideMenu.slideDown().show();
		}
	});

	openAside.click(toggleAside);

});

function toggleAside() {
	$("#aside-nav").toggle({
		effect: 'slide',
		easing: 'swing',
		duration: '200',
		complete: function () {
			asideNav.toggleClass('aside-nav-closed');
			if (navBackDrop.is(":visible")) {
				navBackDrop.hide();
			} else {
				navBackDrop.show();
			}

			if (!asideNav.is(":visible")) {
				navBackDrop.hide();
			}

			mobileFrmActionsInteraction();
		}
	});
}

function mobileFrmActionsInteraction() {
	var contentWidth = $("#box-mod-content").width();
	var formActions = $(".frm-actions");
	if (formActions.length) {
		formActions.css('width', contentWidth);
		if(!asideNav.is(":visible")) {
			formActions.css('margin-left' , '0px');
		} else {
			formActions.css('margin-left' , '-15px');
		}
	}
}


function mobileInteraction() {
	if (bodyWidth <= 992) {
		mobile = true;
		asideNav.hide();
		asideNav.addClass('aside-nav-closed');
		navBar.addClass('is-mobile');
		contentArea.addClass('is-mobile');
		navBackDrop.hide();
		openAside.show();
		mobileFrmActionsInteraction();
	} else {
		mobile = false;
		navBar.removeClass('is-mobile');
		contentArea.removeClass('is-mobile');
		asideNav.show();
		asideNav.removeClass('aside-nav-closed');
		navBackDrop.hide();
		openAside.hide();
		mobileFrmActionsInteraction();
	}
}

function themeDelegate() {
	$("ul.module-tabs").tabdrop({
		text: 'MORE'
	});

	hideMainSearch();
}

function hideMainSearch(){
	navSearch.find('input').val(null);
	navSearch.hide('slow');
}
